# Class CommandManagerEvent

java.lang.Object
org.eclipse.core.commands.CommandManagerEvent

public final class CommandManagerEvent extends Object

An event indicating that the set of defined command identifiers has changed.

Since:
  3.1
See Also:
  - `ICommandManagerListener.commandManagerChanged(CommandManagerEvent)`

## Constructor Summary

Constructors
Constructor
Description
`CommandManagerEvent(CommandManager commandManager, String parameterTypeId, boolean parameterTypeIdAdded, boolean parameterTypeIdChanged)`
Creates a new `CommandManagerEvent` instance to describe changes to command parameter types.
`CommandManagerEvent(CommandManager commandManager, String commandId, boolean commandIdAdded, boolean commandIdChanged, String categoryId, boolean categoryIdAdded, boolean categoryIdChanged)`
Creates a new `CommandManagerEvent` instance to describe changes to commands and/or categories.

## Method Summary

Modifier and Type
Method
Description
`final String`
`getCategoryId()`
Returns the category identifier that was added or removed.
`final String`
`getCommandId()`
Returns the command identifier that was added or removed.
`final CommandManager`
`getCommandManager()`
Returns the instance of the interface that changed.
`final String`
`getParameterTypeId()`
Returns the command parameter type identifier that was added or removed.
`final boolean`
`isCategoryChanged()`
Returns whether the list of defined category identifiers has changed.
`final boolean`
`isCategoryDefined()`
Returns whether the category identifier became defined.
`final boolean`
`isCommandChanged()`
Returns whether the list of defined command identifiers has changed.
`final boolean`
`isCommandDefined()`
Returns whether the command identifier became defined.
`final boolean`
`isParameterTypeChanged()`
Returns whether the list of defined command parameter type identifiers has changed.
`final boolean`
`isParameterTypeDefined()`
Returns whether the command parameter type identifier became defined.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommandManagerEvent

public CommandManagerEvent(CommandManager commandManager, String commandId, boolean commandIdAdded, boolean commandIdChanged, String categoryId, boolean categoryIdAdded, boolean categoryIdChanged)
Creates a new `CommandManagerEvent` instance to describe changes to commands and/or categories.

Parameters:
  `commandManager` - the instance of the interface that changed; must not be `null`.
  `commandId` - The command identifier that was added or removed; must not be `null` if commandIdChanged is `true`.
  `commandIdAdded` - Whether the command identifier became defined (otherwise, it became undefined).
  `commandIdChanged` - Whether the list of defined command identifiers has changed.
  `categoryId` - The category identifier that was added or removed; must not be `null` if categoryIdChanged is `true`.
  `categoryIdAdded` - Whether the category identifier became defined (otherwise, it became undefined).
  `categoryIdChanged` - Whether the list of defined category identifiers has changed.

### CommandManagerEvent

public CommandManagerEvent(CommandManager commandManager, String parameterTypeId, boolean parameterTypeIdAdded, boolean parameterTypeIdChanged)
Creates a new `CommandManagerEvent` instance to describe changes to command parameter types.

Parameters:
  `commandManager` - the instance of the interface that changed; must not be `null`.
  `parameterTypeId` - The command parameter type identifier that was added or removed; must not be `null` if parameterTypeIdChanged is `true`.
  `parameterTypeIdAdded` - Whether the parameter type identifier became defined (otherwise, it became undefined).
  `parameterTypeIdChanged` - Whether the list of defined parameter type identifiers has changed.
Since:
  3.2

## Method Details

### getCategoryId

public final String getCategoryId()
Returns the category identifier that was added or removed.

Returns:
  The category identifier that was added or removed; may be `null`.

### getCommandId

public final String getCommandId()
Returns the command identifier that was added or removed.

Returns:
  The command identifier that was added or removed; may be `null`.

### getCommandManager

public final CommandManager getCommandManager()
Returns the instance of the interface that changed.

Returns:
  the instance of the interface that changed. Guaranteed not to be `null`.

### getParameterTypeId

public final String getParameterTypeId()
Returns the command parameter type identifier that was added or removed.

Returns:
  The command parameter type identifier that was added or removed; may be `null`.
Since:
  3.2

### isCategoryChanged

public final boolean isCategoryChanged()
Returns whether the list of defined category identifiers has changed.

Returns:
  `true` if the list of category identifiers has changed; `false` otherwise.

### isCategoryDefined

public final boolean isCategoryDefined()
Returns whether the category identifier became defined. Otherwise, the category identifier became undefined.

Returns:
  `true` if the category identifier became defined; `false` if the category identifier became undefined.

### isCommandChanged

public final boolean isCommandChanged()
Returns whether the list of defined command identifiers has changed.

Returns:
  `true` if the list of command identifiers has changed; `false` otherwise.

### isCommandDefined

public final boolean isCommandDefined()
Returns whether the command identifier became defined. Otherwise, the command identifier became undefined.

Returns:
  `true` if the command identifier became defined; `false` if the command identifier became undefined.

### isParameterTypeChanged

public final boolean isParameterTypeChanged()
Returns whether the list of defined command parameter type identifiers has changed.

Returns:
  `true` if the list of command parameter type identifiers has changed; `false` otherwise.
Since:
  3.2

### isParameterTypeDefined

public final boolean isParameterTypeDefined()
Returns whether the command parameter type identifier became defined. Otherwise, the command parameter type identifier became undefined.

Returns:
  `true` if the command parameter type identifier became defined; `false` if the command parameter type identifier became undefined.
Since:
  3.2